Arch Panel Cut: Difference between revisions

From FreeCAD Documentation
No edit summary
(Module to Workbench renaming.)
(22 intermediate revisions by 5 users not shown)
Line 3: Line 3:


<!--T:13-->
<!--T:13-->
{{Docnav
{{GuiCommand|Name=Arch Panel Cut|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Panel Tools → Panel Cut|Shortcut=P,C|SeeAlso=[[Arch Panel]], [[Arch Panel Sheet]], [[Arch Nest]], [[Path Workbench]]}}
|[[Arch_Panel|Panel]]
|[[Arch_Panel_Sheet|Panel Sheet]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Panel.svg
|IconR=Arch_Panel_Sheet.svg
|IconC=Workbench_Arch.svg
}}

<!--T:30-->
{{GuiCommand
|Name=Arch Panel Cut
|MenuLocation=Arch → Panel Tools → Panel Cut
|Workbenches=[[Arch_Workbench|Arch]], [[Path_Workbench|Path]]
|Shortcut={{KEY|P}} {{KEY|C}}
|SeeAlso=[[Arch_Panel|Arch Panel]], [[Arch_Panel_Sheet|Arch Panel Sheet]], [[Arch_Nest|Arch Nest]]
}}


==Description== <!--T:14-->
==Description== <!--T:14-->


<!--T:15-->
<!--T:15-->
This tool creates, in the 3D document, a flat, 2D view of an [[Arch Panel]], to be included in an [[Arch Panel Sheet]] or directly exported to [[Draft DXF|DXF]]. The Panel Cut objects are also supported by the [[Path Workbench]].
This tool creates, in the 3D document, a flat, 2D view of an [[Arch_Panel|Arch Panel]], to be included in an [[Arch_Panel_Sheet|Arch Panel Sheet]] or directly exported to [[Draft_DXF|DXF]]. The Panel Cut objects are also supported by the [[Path_Workbench|Path Workbench]].


<!--T:16-->
<!--T:16-->
[[Image:Arch Wikihouse 02.jpg|1024px]]
[[Image:Arch Wikihouse 02.jpg|1024px]]


==How to use== <!--T:17-->
==Usage== <!--T:17-->


<!--T:18-->
<!--T:18-->
# Select one or more [[Arch Panel]] objects
# Select one or more [[Arch_Panel|Arch Panel]] objects.
# Press the {{KEY|[[Image:Arch Panel Cut.png|16px]] [[Arch Panel Cut]]}} button, or press {{KEY|P}} then {{KEY|C}} keys
# Press the {{Button|[[Image:Arch Panel Cut.svg|16px]] [[Arch_Panel_Cut|Arch Panel Cut]]}} button, or press {{KEY|P}} then {{KEY|C}} keys.
# Adjust the desired properties
# Adjust the desired properties.


==Options== <!--T:19-->
==Options== <!--T:19-->
Line 31: Line 47:
==Properties== <!--T:12-->
==Properties== <!--T:12-->


<!--T:21-->
=== Data === <!--T:21-->
* {{PropertyData|Source}}: The [[Arch Panel]] object shown by this Cut
* {{PropertyData|Source}}: The [[Arch_Panel|Arch Panel]] object shown by this Cut
* {{PropertyData|Tag Text}}: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
* {{PropertyData|Tag Text}}: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
* {{PropertyData|Tag Size}}: The size of the tag text
* {{PropertyData|Tag Size}}: The size of the tag text
Line 38: Line 54:
* {{PropertyData|Tag Rotation}}: The rotation of the tag text
* {{PropertyData|Tag Rotation}}: The rotation of the tag text
* {{PropertyData|Font File}}: The font of the tag text
* {{PropertyData|Font File}}: The font of the tag text
* {{PropertyData|Make Face}}: If True, the panel is a Part Face, otherwise a Part Wire

=== View === <!--T:28-->
* {{PropertyView|Margin}}: A margin that can be displayed outside the panel cut shape
* {{PropertyView|Margin}}: A margin that can be displayed outside the panel cut shape
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off
* {{PropertyView|Show Margin}}: Turns the display of the margin on/off
* {{PropertyData|Make Face}}: If True, the panel is a Part Face, otherwise a Part Wire


==Scripting== <!--T:22-->
==Scripting== <!--T:22-->
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:23-->
<!--T:23-->
The Panel tool can by used in [[macros]] and from the python console by using the following function:
The Panel Cut tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
View = makePanelCut(panel, name="PanelView")}}
makePanelCut (object)}}
<translate>
<translate>

<!--T:29-->
* Creates a {{incode|View}} object (2D projection) from the existing {{incode|panel}}.


<!--T:24-->
<!--T:24-->
Line 55: Line 77:
</translate>
</translate>
{{Code|code=
{{Code|code=
import Arch,Draft
import FreeCAD, Draft, Arch

base = Draft.makeRectangle(500,200)
p1 = FreeCAD.Vector(0, 0, 0)
panel = Arch.makePanel(base,thickness=36)
p2 = FreeCAD.Vector(500, 0, 0)
Arch.makePanelCut(panel)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()
}}
}}
<translate>
<translate>
Line 65: Line 106:


<!--T:26-->
<!--T:26-->
* [[Wikihouse porting tutorial]]
* [[Wikihouse_porting_tutorial|Wikihouse porting tutorial]]

</translate>

<!--T:27-->
{{Docnav
|[[Arch_Panel|Panel]]
|[[Arch_Panel_Sheet|Panel Sheet]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Panel.svg
|IconR=Arch_Panel_Sheet.svg
|IconC=Workbench_Arch.svg
}}


<translate>
[[Category:Arch]]
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 09:58, 28 August 2021

Arch Panel Cut

Menu location
Arch → Panel Tools → Panel Cut
Workbenches
Arch, Path
Default shortcut
P C
Introduced in version
-
See also
Arch Panel, Arch Panel Sheet, Arch Nest

Description

This tool creates, in the 3D document, a flat, 2D view of an Arch Panel, to be included in an Arch Panel Sheet or directly exported to DXF. The Panel Cut objects are also supported by the Path Workbench.

Usage

  1. Select one or more Arch Panel objects.
  2. Press the Arch Panel Cut button, or press P then C keys.
  3. Adjust the desired properties.

Options

  • If the panel is not flat (corrugated, for example), the relief won't appear in the Panel cut. This tool is useful mainly for flat panels
  • The panel cut can display a tag. This tag can be a custom line of text or can automatically show the Tag, Label or Description of its linked Panel.
  • To be useful for CNC machining, the tag should be written using a sticky font, where letters are simple polylines that are easy for the machine to follow. Upon creation, the Panel Cut object will automatically use the font specified in Edit → Preferences → Draft → Texts and Dimensions → ShapeString Font
  • Double-clicking on the panel cut in the tree view after it is created allows you to enter edit mode and modify the position of the tag
  • When you need to layout different Panel Cuts together, Panel Cuts can display a margin, that is useful to make sure a certain space is always present between a cut and another

Properties

Data

  • DataSource: The Arch Panel object shown by this Cut
  • DataTag Text: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
  • DataTag Size: The size of the tag text
  • DataTag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DataTag Rotation: The rotation of the tag text
  • DataFont File: The font of the tag text
  • DataMake Face: If True, the panel is a Part Face, otherwise a Part Wire

View

  • ViewMargin: A margin that can be displayed outside the panel cut shape
  • ViewShow Margin: Turns the display of the margin on/off

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel Cut tool can be used in macros and from the Python console by using the following function:

View = makePanelCut(panel, name="PanelView")
  • Creates a View object (2D projection) from the existing panel.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutorials